SoTextDetail(3IV)

NAME
SoTextDetail — stores detail information about a text node

INHERITS FROM
SoDetail > SoTextDetail

SYNOPSIS
#include <Inventor/details/SoTextDetail.h>

Methods from class SoTextDetail:

SoTextDetail()
virtual
~SoTextDetail()
int32_t
getStringIndex() const
int32_t
getCharacterIndex() const
SoText3::Part
getPart() const
SbBox3f
getBoundingBox() const
SbXfBox3f
getXfBoundingBox() const
static SoType
getClassTypeId()

Methods from class SoDetail:

SoDetail *
copy() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
This class contains detail information about a point on a text shape (SoText2 or SoText3). It contains the part of the text, string, and character that were hit or generated.

METHODS

SoTextDetail()
virtual
~SoTextDetail()
Constructor and destructor.

int32_t
getStringIndex() const
Returns the index of the relevant string within a multiple-value string field of a text node.

int32_t
getCharacterIndex() const
Returns the index of the relevant character within the string. For example, if the character of detail was the "u" within "Splurmph", the character index would be 3.

SoText3::Part
getPart() const
For SoText3, this returns which part was picked or generated.

SbBox3f
getBoundingBox() const
SbXfBox3f
getXfBoundingBox() const
When the detail is returned from picking, these return the object-space bounding box of the character that was intersected. Otherwise, they return an empty box. The second method returns an SbXfBox3f instead of a SbBox3f. These methods are implemented only for 3D text.

static SoType
getClassTypeId()
Returns type identifier for this class.

SEE ALSO
SoText2, SoText3, SoDetail, SoPickedPoint, SoPrimitiveVertex